Index: pacemaker/pengine/test10/migrate-fencing.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-fencing.exp
+++ pacemaker/pengine/test10/migrate-fencing.exp
@@ -117,7 +117,7 @@
     <action_set>
       <rsc_op id="33" operation="monitor" operation_key="r192.168.101.181_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.181" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.181"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.181"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -130,7 +130,7 @@
     <action_set>
       <rsc_op id="32" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.181" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.181"/>
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.181"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -167,7 +167,7 @@
     <action_set>
       <rsc_op id="36" operation="monitor" operation_key="r192.168.101.182_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.182" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.182"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.182"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -180,7 +180,7 @@
     <action_set>
       <rsc_op id="35" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.182" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.182"/>
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.182"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -220,7 +220,7 @@
     <action_set>
       <rsc_op id="39" operation="monitor" operation_key="r192.168.101.183_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.183" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.183"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.183"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -233,7 +233,7 @@
     <action_set>
       <rsc_op id="38" operation="start" operation_key="r192.168.101.183_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.183" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.183"/>
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.183"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -270,7 +270,7 @@
     <action_set>
       <rsc_op id="52" operation="monitor" operation_key="rsc_pcmk-4_monitor_5000" on_node="pcmk-2" on_node_uuid="pcmk-2">
         <primitive id="rsc_pcmk-4" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.187"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="pcmk-2" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.187"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -283,7 +283,7 @@
     <action_set>
       <rsc_op id="51" operation="start" operation_key="rsc_pcmk-4_start_0" on_node="pcmk-2" on_node_uuid="pcmk-2">
         <primitive id="rsc_pcmk-4" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.187"/>
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="pcmk-2" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.187"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -311,7 +311,7 @@
     <action_set>
       <rsc_op id="55" operation="monitor" operation_key="lsb-dummy_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="lsb-dummy" class="lsb" type="/usr/share/pacemaker/tests/cts/LSBDummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -324,7 +324,7 @@
     <action_set>
       <rsc_op id="54" operation="start" operation_key="lsb-dummy_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="lsb-dummy" class="lsb" type="/usr/share/pacemaker/tests/cts/LSBDummy"/>
-        <attributes CRM_meta_timeout="60000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -355,7 +355,7 @@
     <action_set>
       <rsc_op id="60" operation="migrate_from" operation_key="migrator_migrate_from_0" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="pcmk-1" CRM_meta_migrate_target="pcmk-3" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_migrate_source="pcmk-1" CRM_meta_migrate_target="pcmk-3" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -368,7 +368,7 @@
     <action_set>
       <rsc_op id="59" operation="migrate_to" operation_key="migrator_migrate_to_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="pcmk-1" CRM_meta_migrate_target="pcmk-3" CRM_meta_record_pending="true" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_migrate_source="pcmk-1" CRM_meta_migrate_target="pcmk-3" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_record_pending="true" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -381,7 +381,7 @@
     <action_set>
       <rsc_op id="58" operation="monitor" operation_key="migrator_monitor_10000" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -412,7 +412,7 @@
     <action_set>
       <rsc_op id="56" operation="stop" operation_key="migrator_stop_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="60000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -500,7 +500,7 @@
     <action_set>
       <rsc_op id="77" operation="monitor" operation_key="stateful-1:1_monitor_16000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="stateful-1" long-id="stateful-1:1" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="16000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_op_target_rc="8" CRM_meta_role="Master" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="16000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_op_target_rc="8" CRM_meta_role="Master" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -513,7 +513,7 @@
     <action_set>
       <rsc_op id="76" operation="promote" operation_key="stateful-1:1_promote_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="stateful-1" long-id="stateful-1:1" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -529,7 +529,7 @@
     <action_set>
       <rsc_op id="80" operation="monitor" operation_key="stateful-1:3_monitor_15000" internal_operation_key="stateful-1:2_monitor_15000" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="stateful-1" long-id="stateful-1:3" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -538,7 +538,7 @@
     <action_set>
       <rsc_op id="83" operation="monitor" operation_key="stateful-1:2_monitor_15000" internal_operation_key="stateful-1:3_monitor_15000" on_node="pcmk-2" on_node_uuid="pcmk-2">
         <primitive id="stateful-1" long-id="stateful-1:2" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="pcmk-2" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/migrate-partial-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-partial-1.exp
+++ pacemaker/pengine/test10/migrate-partial-1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="test-vm_stop_0" on_node="hex-14" on_node_uuid="hex-14">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_on_node="hex-14" CRM_meta_on_node_uuid="hex-14" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/migrate-partial-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-partial-2.exp
+++ pacemaker/pengine/test10/migrate-partial-2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="14" operation="migrate_from" operation_key="test-vm_migrate_from_0" on_node="hex-13" on_node_uuid="hex-13">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="hex-14" CRM_meta_migrate_target="hex-13" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_migrate_source="hex-14" CRM_meta_migrate_target="hex-13" CRM_meta_on_node="hex-13" CRM_meta_on_node_uuid="hex-13" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -30,7 +30,7 @@
     <action_set>
       <rsc_op id="12" operation="stop" operation_key="test-vm_stop_0" on_node="hex-14" on_node_uuid="hex-14">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_on_node="hex-14" CRM_meta_on_node_uuid="hex-14" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/migrate-partial-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-partial-3.exp
+++ pacemaker/pengine/test10/migrate-partial-3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="14" operation="start" operation_key="test-vm_start_0" on_node="hex-13" on_node_uuid="hex-13">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_on_node="hex-13" CRM_meta_on_node_uuid="hex-13" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="13" operation="stop" operation_key="test-vm_stop_0" on_node="hex-14" on_node_uuid="hex-14">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_on_node="hex-14" CRM_meta_on_node_uuid="hex-14" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/migrate-shutdown.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-shutdown.exp
+++ pacemaker/pengine/test10/migrate-shutdown.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="17" operation="stop" operation_key="Fencing_stop_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="180000"  pcmk_arg_map="domain:uname"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_timeout="180000"  pcmk_arg_map="domain:uname"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="18" operation="stop" operation_key="r192.168.122.105_stop_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="r192.168.122.105" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.105"/>
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.105"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -61,7 +61,7 @@
     <action_set>
       <rsc_op id="19" operation="stop" operation_key="r192.168.122.106_stop_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="r192.168.122.106" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.106"/>
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.106"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -77,7 +77,7 @@
     <action_set>
       <rsc_op id="20" operation="stop" operation_key="r192.168.122.107_stop_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="r192.168.122.107" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.107"/>
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.107"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -90,7 +90,7 @@
     <action_set>
       <rsc_op id="25" operation="stop" operation_key="rsc_pcmk-1_stop_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="rsc_pcmk-1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.108"/>
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.108"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -99,7 +99,7 @@
     <action_set>
       <rsc_op id="26" operation="stop" operation_key="rsc_pcmk-2_stop_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="rsc_pcmk-2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.109"/>
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.109"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -108,7 +108,7 @@
     <action_set>
       <rsc_op id="27" operation="stop" operation_key="rsc_pcmk-4_stop_0" on_node="pcmk-4" on_node_uuid="104">
         <primitive id="rsc_pcmk-4" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.111"/>
+        <attributes CRM_meta_on_node="pcmk-4" CRM_meta_on_node_uuid="104" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.122.111"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -117,7 +117,7 @@
     <action_set>
       <rsc_op id="28" operation="stop" operation_key="lsb-dummy_stop_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="lsb-dummy" class="lsb" type="/usr/share/pacemaker/tests/cts/LSBDummy"/>
-        <attributes CRM_meta_timeout="60000" />
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -126,7 +126,7 @@
     <action_set>
       <rsc_op id="30" operation="stop" operation_key="migrator_stop_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="60000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -135,7 +135,7 @@
     <action_set>
       <rsc_op id="29" operation="stop" operation_key="migrator_stop_0" on_node="pcmk-3" on_node_uuid="103">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="60000" />
+        <attributes CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="103" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -144,7 +144,7 @@
     <action_set>
       <rsc_op id="31" operation="stop" operation_key="ping-1:0_stop_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="10.0.0.6" name="connected"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_timeout="60000"  debug="true" host_list="10.0.0.6" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -157,7 +157,7 @@
     <action_set>
       <rsc_op id="32" operation="stop" operation_key="ping-1:1_stop_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="ping-1" long-id="ping-1:1" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="10.0.0.6" name="connected"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000"  debug="true" host_list="10.0.0.6" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -170,7 +170,7 @@
     <action_set>
       <rsc_op id="33" operation="stop" operation_key="ping-1:3_stop_0" internal_operation_key="ping-1:2_stop_0" on_node="pcmk-4" on_node_uuid="104">
         <primitive id="ping-1" long-id="ping-1:3" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="10.0.0.6" name="connected"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-4" CRM_meta_on_node_uuid="104" CRM_meta_timeout="60000"  debug="true" host_list="10.0.0.6" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -212,7 +212,7 @@
     <action_set>
       <rsc_op id="38" operation="stop" operation_key="stateful-1:2_stop_0" internal_operation_key="stateful-1:0_stop_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="stateful-1" long-id="stateful-1:2" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -225,7 +225,7 @@
     <action_set>
       <rsc_op id="40" operation="stop" operation_key="stateful-1:0_stop_0" internal_operation_key="stateful-1:1_stop_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -241,7 +241,7 @@
     <action_set>
       <rsc_op id="39" operation="demote" operation_key="stateful-1:0_demote_0" internal_operation_key="stateful-1:1_demote_0" on_node="pcmk-2" on_node_uuid="102">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -254,7 +254,7 @@
     <action_set>
       <rsc_op id="41" operation="stop" operation_key="stateful-1:3_stop_0" internal_operation_key="stateful-1:2_stop_0" on_node="pcmk-4" on_node_uuid="104">
         <primitive id="stateful-1" long-id="stateful-1:3" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="pcmk-4" CRM_meta_on_node_uuid="104" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -326,7 +326,7 @@
   <synapse id="25">
     <action_set>
       <crm_event id="54" operation="do_shutdown" operation_key="do_shutdown-pcmk-4" on_node="pcmk-4" on_node_uuid="104">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="pcmk-4" CRM_meta_on_node_uuid="104" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="104"/>
         </downed>
@@ -347,7 +347,7 @@
   <synapse id="26">
     <action_set>
       <crm_event id="53" operation="do_shutdown" operation_key="do_shutdown-pcmk-3" on_node="pcmk-3" on_node_uuid="103">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="103" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="103"/>
         </downed>
@@ -362,7 +362,7 @@
   <synapse id="27">
     <action_set>
       <crm_event id="52" operation="do_shutdown" operation_key="do_shutdown-pcmk-2" on_node="pcmk-2" on_node_uuid="102">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="102"/>
         </downed>
@@ -395,7 +395,7 @@
   <synapse id="28">
     <action_set>
       <crm_event id="51" operation="do_shutdown" operation_key="do_shutdown-pcmk-1" on_node="pcmk-1" on_node_uuid="101">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="101"/>
         </downed>
